# EDGE Bioinformatics

This is version 1.1.1 of EDGE Bioinformatics, a product of Los Alamos National Laboratory, Naval Medical Research Center, and the Defense Threat Reduction Agency.

EDGE is a highly adaptable bioinformatics platform that allows laboratories to quickly analyze and interpret genomic sequence data. The bioinformatics platform allows users to address a wide range of use cases including assay validation and the characterization of novel biological threats, clinical samples, and complex environmental samples.

A demonstration version of EDGE is currently available at https://bioedge.lanl.gov/edge_ui/ with example data sets available to the public to view and/or re-run and also allows EDGE runs of SRA/ENA data. (This webserver does not currently support upload of data due in part to LANL security regulations, however local installations are meant to be fully functional.) To run EDGE follow the "GUI" instructions from our documentation, found at https://edge.readthedocs.org/en/v1.1/introduction.html. It is also linked at the bottom of the EDGE homepage.

For basic information about EDGE, visit the <a href="https://edge.readthedocs.io/en/latest/EDGE_ABCs.html" >EDGE ABC's</a>, that provide a brief overview of EDGE, the various workflows, and the computational environment restraints for local use.

## Documentation

[ReadTheDocs](http://edge.readthedocs.org)

[PDF](https://readthedocs.org/projects/edge/downloads/pdf/latest/)

## Contact Info
Chien-Chi Lo: <chienchi@lanl.gov>  
Paul Li: <po-e@lanl.gov>  
Joe Anderson (DTRA/NMRC): <joseph.j.anderson2.civ@mail.mil> 

## Citation

Enabling the democratization of the genomics revolution with a fully integrated web-based bioinformatics platform 

Po-E Li; Chien-Chi Lo; Joseph J. Anderson; Karen W. Davenport; Kimberly A. Bishop-Lilly; Yan Xu; Sanaa Ahmed; Shihai Feng; Vishwesh P. Mokashi; Patrick S.G. Chain

Nucleic Acids Research 2016;

[doi: 10.1093/nar/gkw1027] (http://nar.oxfordjournals.org/content/early/2016/11/28/nar.gkw1027.abstract?keytype=ref&ijkey=KzcEnQzdYkdjPCU)

## Copyright

Los Alamos National Security, LLC (LANS) owns the copyright to EDGE, which it identifies internally as LA-CC-14-007.  The license is GPLv3.  See [LICENSE](https://github.com/losalamos/edge/blob/master/LICENSE) for the full text.
